db_backend Struct Reference

`#include <db_backend.h>`

## Data Fields

db_backend_t * | next
char * | name
db_backend_handle_t * | handle

## Detailed Description

A database backend.

Definition at line 384 of file db_backend.h.

## Field Documentation

## handle

db_backend_handle_t* db_backend::handle

Definition at line 387 of file db_backend.h.

Referenced by db_backend_connect(), db_backend_count(), db_backend_create(), db_backend_delete(), db_backend_free(), db_backend_initialize(), db_backend_read(), db_backend_set_handle(), and db_backend_update().

## name

char* db_backend::name

Definition at line 386 of file db_backend.h.

Referenced by db_backend_free(), and db_backend_set_name().

## next

db_backend_t* db_backend::next

Definition at line 385 of file db_backend.h.

The documentation for this struct was generated from the following file:

- src/db/db_backend.h